routes/web.php
<?php

use App\Notifications\OrderCreated;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Notification;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'MainPageController@index')->name('MainPage');
Route::get('/homePage', 'MainPageController@index')->name('mainPage');
Route::post('/homePage', 'MainPageController@subscribe')->name('subscribe');
Route::get('lang/{locale}', 'LangController@lang')->name('lang');
Route::get('page/{id}', 'Dashboard\PageController@show')->name('pages.show');
Route::get('contact_us/', 'ContactController@contact_form')->name('pages.contact_form');
Route::post('contact_us/', 'ContactController@contact_us')->name('pages.contact_us');
Route::get('categories/', 'ProductController@categories')->name('pages.categories');
Route::get('categories/{id}', 'ProductController@cat_products')->name('pages.cat_products');
Route::get('product/{id}', 'ProductController@show')->name('pages.product');
Route::get('productOwner/{id}', 'ProductController@owner')->name('pages.owner');
Route::post('comment_store/', 'ProductController@commentStore')->name('comment.store');
Route::post('product/', 'ProductController@rateStore')->name('pages.productRate');
Route::get('search/', 'ProductController@search')->name('pages.search');
Route::get('search/filters', 'ProductController@filters')->name('pages.search.filters');
Route::resource('/basket','basket\ParentBasketController');

Auth::routes(['verify' => true]);

Route::get('search/autocompleteUsers', 'UserController@autocomplete')->name('autocompleteUsers');
//Route::get('artisan', function() {
//    Artisan::call('migrate '  );
//    Artisan::call('db:seed '  );
//});
//Route::get('/test', function (){
//    return view('emails.message',['receiver'=>\App\Models\Admin::find(1),'sender'=>\App\Models\Admin::find(2),'id'=>3,'lang'=>App::getLocale(),'prefix'=>'admin.']);
//});
//Route::get('/rl',function (){
//    \Illuminate\Support\Facades\Artisan::call('route:list');
//    dd(\Illuminate\Support\Facades\Artisan::output());
//
//});

//--------------------Admins------------------------------
Route::group(['prefix'=>'admin'],function (){
    Route::get('/login','Auth\AdminLoginController@showLoginForm')->name('admin.login');
    Route::post('/login','Auth\AdminLoginController@login')->name('admin.login.submit');
    Route::get('/logout', 'Auth\AdminLoginController@logout')->name('admin.logout');
    Route::group(['middleware' => 'auth:admin'],function (){
        Route::resource('/menu','Admin\MenuController');
        Route::resource('/link_locations','Admin\LinkLocationsController');
        Route::resource('/link','Admin\LinkController');
        Route::resource('/page','Admin\PageController');
        Route::resource('/product_category','Admin\ProductCategoryController');
        Route::get('/','Admin\AdminController@index')->name('admin.dashboard');
        Route::resource('user', 'Admin\UserController', ['except' => ['create','store']]);
        Route::resource('/product','Admin\ProductController');
        Route::post('/newsletter_upload', 'Admin\SubscribeController@UploadFile')->name('admin.upload_file_newsletter');
        Route::post('/upload','Admin\ProductController@UploadFile')->name('upload_file_product');
        Route::post('/remove','Admin\ProductController@RemoveFile')->name('remove_file_product');
        Route::name('admin.')->group(function () {
            Route::resource('/message', 'MessageController', ['as', 'admin']);
        });
        Route::get('/message_Receiver', 'MessageController@autocomplete')->name('admin.autocompleteReceiver');
        Route::post('/message_upload', 'MessageController@upload')->name('admin.upload_file_message');
        Route::post('/message_remove', 'MessageController@remove')->name('admin.remove_file_message');
        Route::get('/attachment_view/{name_file}', 'MessageController@show_attachments')->name('admin.show_attachments');
        Route::get('/message_sent', 'MessageController@SentMessages')->name('admin.message_sent');
        Route::get('/message_reply/{id}', 'MessageController@ReplyMessages')->name('admin.message_reply');
        Route::get('/contacts','ContactController@index')->name('admin.contacts');
        Route::get('/contacts/{id}','ContactController@show')->name('admin.show_contacts');
        Route::resource('/comment','Admin\CommentController')->except('store');
        Route::resource('/subscribe','Admin\SubscribeController');
        Route::get('/subscribe_excel/{id}','Admin\SubscribeController@receivers')->name('subscribe_excel');
        Route::get('/subscribe_send/{id}','Admin\SubscribeController@send')->name('subscribe_send');
        Route::group(['prefix'=>'notification'],function (){
            Route::get('','Admin\NotificationController@index')->name('admin.notifications');
            Route::delete('{id}','Admin\NotificationController@destroy')->name('admin.delete_notifications');
            Route::get('delete_all','Admin\NotificationController@destroy_all')->name('admin.destroy_notifications');
            Route::post('user','Admin\NotificationController@notify_user')->name('admin.notify_user');

        });
    });
});

//--------------------Normal Users------------------------------
/*dashboard*/ Route::get('/home', 'UserController@dashboard')->name('dashboard')->middleware('verified');
Route::group( ['middleware' => 'auth'],function (){
    Route::get('/logout', 'Auth\LoginController@logout')->name('logout.a');
    Route::group(['middleware' => 'verified'], function () {
        Route::get('profile', ['as' => 'profile.edit', 'uses' => 'Dashboard\ProfileController@edit']);
        Route::put('profile', ['as' => 'profile.update', 'uses' => 'Dashboard\ProfileController@update']);
        Route::get('profile/password', ['as' => 'profile.change_password', 'uses' => 'Dashboard\ProfileController@change_password']);
        Route::put('profile/password', ['as' => 'profile.password', 'uses' => 'Dashboard\ProfileController@password']);
        Route::get('notifications', ['as' => 'pages.notifications', 'uses' => 'Dashboard\PageController@notifications']);
        Route::delete('notifications/{id}','Dashboard\PageController@destroyNotifications')->name('delete_notifications');
        Route::get('notifications/delete_all','Dashboard\PageController@destroyAllNotifications')->name('destroy_notifications');
        Route::resource('/userProduct','Dashboard\ProductController');
        Route::get('/productCountLog/{id}',function ($id){
            if(\Illuminate\Support\Facades\Storage::exists('product_count_logs/'.$id.'.txt'))
                return \Illuminate\Support\Facades\Storage::download('product_count_logs/'.$id.'.txt');
            else abort(404);
        })->name('productCountLog');
        Route::post('/upload','Dashboard\ProductController@UploadFile')->name('upload_file_user_product');
        Route::post('/remove','Dashboard\ProductController@RemoveFile')->name('remove_file_user_product');
        Route::resource('/message','MessageController');
        Route::get('/message_Receiver', 'MessageController@autocomplete')->name('autocompleteReceiver');
        Route::post('/message_upload', 'MessageController@upload')->name('upload_file_message');
        Route::post('/message_remove', 'MessageController@remove')->name('remove_file_message');
        Route::get('/message_sent', 'MessageController@SentMessages')->name('message_sent');
        Route::get('/message_reply/{id}', 'MessageController@ReplyMessages')->name('message_reply');
        Route::get('/attachment_view/{name_file}', 'MessageController@show_attachments')->name('show_attachments');
        Route::post('/shop', 'OrderController@create')->name('shop');
        Route::resource('/order','OrderController')->except(['edit','update']);
        Route::get('/confirm_order/{id}','OrderController@confirm')->name('confirm_order');
        Route::get('/problem_order/{id}','OrderController@problem')->name('order_problem');
    });
});

//-------------------Normal Users And Admins-------------------------
Route::group( ['middleware' => 'auth:web,admin'],function (){
    Route::get('/requested_orders','OrderController@requested')->name('requested_orders');
    Route::get('/order/{id}/edit', 'OrderController@edit')->name('order_edit');
    Route::put('/order/{id}/edit',  'OrderController@update')->name('order_update');
    Route::post('/order/desc',  'OrderController@problem_desc')->name('order_desc');
    Route::get('/receipt_images/{name_file}','OrderController@receipt');
});

resources/views/layouts/navbars/nav_check.blade.php
<div class="col-xl-3">
    <a href="#" id="side_bar_icon" > <i class="tim-icons icon-bullet-list-67"></i></a>

    @if (Auth::guard('admin')->check()) @include('layouts.navbars.sidebar-admins')
    @else
        @include('layouts.navbars.sidebar')
    @endif

</div>

resources/views/layouts/navbars/navbar.blade.php
@auth()
    @include('layouts.navbars.navs.auth')
@endauth

@guest()
    @include('layouts.navbars.navs.guest')
@endguest

resources/views/layouts/navbars/sidebar-admins.blade.php
<div class="inner_page_box box_side sidebar_part">
    <div class="sidebar" style=" @if(app()->getLocale() == 'fa')  right:0 @else left:0 @endif ">
        <h3 >
            <a href="#" class="simple-text logo-mini">{{ __('title.Admin_Dashboard') }} </a>
        </h3>
        <hr>
        <ul class="navi">
{{--            <li @if ($pageSlug == 'dashboard') class="active " @endif>--}}
            <li>
                <a href="{{ route('menu.index') }}">
                    <i class="tim-icons icon-bullet-list-67"></i>
                    <span>{{ __('title.Admin_Menus') }} </span>
                </a>
            </li>
            <li>
                <a data-toggle="collapse" href="#laravel-examples" aria-expanded="false">
                    <i class="tim-icons icon-image-02" ></i>
                    <span class="nav-link-text" >{{ __('title.Admin_links') }}</span>
                    <b class="caret mt-1"></b>
                </a>

                <div class="collapse hide" id="laravel-examples">
                    <ul class="navi pl-4">
                        <li>
                            <a href="{{ route('link_locations.index')  }}">
                                <i class="tim-icons icon-image-02"></i>
                                <span>{{ __('title.links_location') }}</span>
                            </a>
                        </li>
                        <li>
                            <a href="{{ route('link.index')  }}">
                                <i class="tim-icons icon-image-02"></i>
                                <span>{{ __('title.links') }}</span>
                            </a>
                        </li>
                    </ul>
                </div>
            </li>
            <li>
                <a href="{{ route('page.index') }}">
                    <i class="tim-icons icon-paper"></i>
                    <span>{{ __('title.Admin_pages') }} </span>
                </a>
            </li>
            <li>
                <a href="{{ route('user.index') }}">
                    <i class="tim-icons icon-single-02"></i>
                    <span>{{ __('title.Admin_users') }} </span>
                </a>
            </li>
            <li>
                <a data-toggle="collapse" href="#business_owners" aria-expanded="false">
                    <i class="tim-icons icon-image-02" ></i>
                    <span class="nav-link-text" >{{ __('title.business_owners') }}</span>
                    <b class="caret mt-1"></b>
                </a>

                <div class="collapse hide" id="business_owners">
                    <ul class="navi pl-4">

                        <li>
                            <a href="{{ route('product_category.index')  }}">
                                <i class="tim-icons icon-image-02"></i>
                                <span>{{ __('title.categories') }}</span>
                            </a>
                        </li>
                        <li>
                            <a href="{{ route('product.index')  }}">
                                <i class="tim-icons icon-image-02"></i>
                                <span>{{ __('title.products') }}</span>
                            </a>
                        </li>
                        <li>
                            <a href="{{ route('comment.index')  }}">
                                <i class="tim-icons icon-chat-33"></i>
                                <span>{{ __('title.comments') }}</span>
                            </a>
                        </li>
                    </ul>
                </div>
            </li>

            <li >
                <a data-toggle="collapse" href="#messages" aria-expanded="false">
                    <i class="tim-icons icon-chat-33" ></i>
                    <span class="nav-link-text" >{{ __('title.inbox') }}</span>
                    <b class="caret mt-1"></b>
                </a>

                <div class="collapse hide" id="messages">
                    <ul class="navi pl-4">
                        <li>
                            <a href="{{ route('admin.message.index')  }}">
                                <i class="tim-icons icon-email-85"></i>
                                <span>{{ __('title.inbox') }}</span>
                            </a>
                        </li>
                        <li>
                            <a href="{{ route('admin.message_sent')  }}">
                                <i class="tim-icons icon-send"></i>
                                <span>{{ __('title.sent') }}</span>
                            </a>
                        </li>
                    </ul>
                </div>
            </li>
            <li >
                <a href="{{ route('admin.notifications') }}">
                    <i class="tim-icons icon-bell-55"></i>
                    <span>{{ __('title.Notifications') }} ({{count(Auth::user()->unreadNotifications)}}) </span>
                </a>
            </li>
            <li >
                <a href="{{ route('admin.contacts') }}">
                    <i class="tim-icons icon-email-85"></i>
                    <span>{{ __('Contact Us') }}  </span>
                </a>
            </li>
            <li >
                <a href="{{ route('subscribe.index') }}">
                    <i class="tim-icons icon-spaceship"></i>
                    <span>{{ __('Newsletter') }}  </span>
                </a>
            </li>
            <li>
                <a href="{{ route('requested_orders') }}">
                    <i class="tim-icons icon-bag-16"></i>
                    <span>{{ __('title.requested_orders') }}</span>
                </a>
            </li>

            <li >
                <a href="{{ route('admin.logout') }}">
                    <i class="tim-icons icon-button-power"></i>
                    <span>{{ __('title.logout') }}</span>
                </a>
            </li>
        </ul>
    </div>
</div>

resources/views/layouts/navbars/sidebar.blade.php
<div class="inner_page_box box_side sidebar_part">
    <div class="sidebar"  style=" @if(app()->getLocale() == 'fa')  right:0 @else left:0 @endif ">
        <h3 >
            <a href="#" class="simple-text logo-mini">{{ __('title.Dashboard') }} </a>
        </h3>
        <hr>
        <ul class="navi">

                <li >
                    <a href="{{ route('profile.edit')  }}">
                        <i class="tim-icons icon-single-02"></i>
                        <span>{{ __('title.User_Profile') }}</span>
                    </a>
                </li>
                <li >
                    <a href="{{ route('profile.change_password')  }}">
                        <i class="tim-icons icon-lock-circle"></i>
                        <span>{{ __('title.change_password') }}</span>
                    </a>
                </li>
                @if(auth()->user()->is_owner === 1 )
                    <li >
                        <a href="{{ route('userProduct.index')  }}">
                            <i class="tim-icons icon-image-02"></i>
                            <span>{{ __('title.products') }}</span>
                        </a>
                    </li>
                @endif
                <li  >
                    <a data-toggle="collapse" href="#laravel-examples" aria-expanded="false">
                        <i class="tim-icons icon-chat-33" ></i>
                        <span class="nav-link-text" >{{ __('title.inbox') }}</span>
                        <b class="tim-icons icon-triangle-right-17 caret2"></b>
                    </a>

                    <div class="collapse hide" id="laravel-examples">
                        <ul class="navi pl-4">
                            <li>
                                <a href="{{ route('message.index')  }}">
                                    <i class="tim-icons icon-email-85"></i>
                                    <span>{{ __('title.inbox') }}</span>
                                </a>
                            </li>
                            <li>
                                <a href="{{ route('message_sent')  }}">
                                    <i class="tim-icons icon-send"></i>
                                    <span>{{ __('title.sent') }}</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>
                <li>
                    <a href="{{ route('pages.notifications') }}">
                        <i class="tim-icons icon-bell-55"></i>
                        <span>{{ __('title.Notifications') }} ({{count(Auth::user()->unreadNotifications)}}) </span>
                    </a>
                </li>
                @if(auth()->user()->is_owner === 1 )
                    <li>
                        <a href="{{ route('requested_orders') }}">
                            <i class="tim-icons icon-bag-16"></i>
                            <span>{{ __('title.requested_orders') }}</span>
                        </a>
                    </li>
                @endif
                <li >
                    <a href="{{ route('logout.a') }}">
                        <i class="tim-icons icon-button-power"></i>
                        <span>{{ __('title.logout') }}</span>
                    </a>
                </li>
            </ul>
    </div>
</div>